This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 458421 - ERROR: VERSION can only contain '0-9' and '.'! '4.4' is not valid
ERROR: VERSION can only contain '0-9' and '.'! '4.4' is not valid
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 00:42 EDT by Darrin Mison
Modified: 2010-11-23 23:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 20:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2008-08-08 00:42:14 EDT
Version 0.33

Description of problem:
If I try to use an entity for <issuenum> it fails with the below error.  

Steps to Reproduce:
mybook.ent : <!ENTITY VERSION "4.4">
book_info.xml: <issuenum>&VERSION;</issuenum>
make test

Actual results:
ERROR: VERSION can only contain '0-9' and '.'! '4.4' is not valid, please edit <issuenum> in your Book_Info.xml file


Is it checking this value before the entity substitution occurs?
Comment 1 Jeff Fearn 2008-08-12 00:59:32 EDT
(In reply to comment #0)
> Is it checking this value before the entity substitution occurs?

This value is used in the Makefile and it gets read before any processing happens.

Note You need to log in before you can comment on or make changes to this bug.